Download it now!
Bug 89796 - Bibliography entry inserted in a caption for an image, which frame happens to be the last element before page break, gets numbered as zero.
Summary: Bibliography entry inserted in a caption for an image, which frame happens to...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2015-03-03 09:52 UTC by agere
Modified: 2019-05-14 02:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description agere 2015-03-03 09:52:20 UTC
So it is, I’ve tried to add forty-seveth or so, and the number inserted in text was [0]. I’ve deleted it and tried again, but in vain—any next entry wouldn’t have a proper number, but 0. At the same time in the bibliography index they’re numbered correctly, as 46th and 47th (bibliography has a style for numbering). Tools > Update > All indexes and tables, as well as ‘Update all’ had no effect on it.
Comment 1 agere 2015-03-03 10:12:34 UTC
Hmm… I think there is a workaround.

But first a little more details: the problem place is the end of the first line of a caption to an image, the caption consists of two lines aligned by center. The caption, of course, is within the same frame, as the image. What’s strange is that’s tenth image in the document (all of the same style, with captions), and such bug didn’t happen with previous ones, though I inserted bibliography entries in their captions, too. Another thing is there are three more entries after that image, so it’s in kind of middle.

After I inserted an entry that already existed in the index after the frame with image and caption, and created a new entry, its number didn’t became zero. When I cut and pasted it into the frame to the zeroes, they became having proper numbers as well.
Comment 2 agere 2015-03-03 10:17:55 UTC
Also I dunno whether it is related or is another bug I should report separately, but the bibliography index contents seem to have level 17—the custom style I created for the index has effect only when applied to 17th level. I dunno how is that.
Comment 3 agere 2015-03-03 12:02:46 UTC
I was wrong about the number, the supposed one in the caption was 43.
Comment 4 agere 2015-03-03 12:09:54 UTC
Actually, through copypasting the number of the entry in the caption can be restored, but the next entry outside the frame will have the same number and it can’t be fixed. Tools > Update > Update All drops the number in the frame to zero again.
Comment 5 agere 2015-03-03 12:35:15 UTC
> but the next entry outside the frame will have the same number and it can’t be fixed. 
Ah, there seems to be another nuance. The unlucky frame is the last page element before the manual page break (also new L1 enumeration item starts from the next page). And — attention — while there’s text between the frame and the page break — Tools > Update > Update All works fine and even without it the number automatically gets 43th number. When there’s no text, the entry in the caption become having number 0.
Comment 6 agere 2015-03-03 12:38:30 UTC
This is reproducible.

1. Create a new text document.
2. Insert a manual page break.
3. On the second page, create bibliography index.
4. On the first page, Insert an image from a file, add caption.
5. Put cursor in the text of the caption, insert a new bibliography entry.
6. ?????
7. 0
Comment 7 Buovjaga 2015-03-05 13:54:40 UTC
(In reply to agere from comment #6)
> This is reproducible.
> 
> 1. Create a new text document.
> 2. Insert a manual page break.
> 3. On the second page, create bibliography index.
> 4. On the first page, Insert an image from a file, add caption.
> 5. Put cursor in the text of the caption, insert a new bibliography entry.
> 6. ?????
> 7. 0

Reproduced.

When inserting bibliography, Number entries must be checked.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 5a009a4387a84a36d2e3418c7e7b097cb10c3f5a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-04_15:00:21
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 tommy27 2016-04-16 07:26:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 9 QA Administrators 2019-05-14 02:57:02 UTC
Dear agere,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug